View Issue Details

IDProjectCategoryView StatusLast Update
0025437PackagesTAChartpublic2015-03-11 11:57
ReporterMichael Fuchs Assigned ToMaxim Ganetsky  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3 (SVN) 
Fixed in Version1.2.0 
Summary0025437: ChartHeight and ChartWdith is interchanged in TChart
DescriptionTChart.GetChartHeight returns the Width of the chart, GetChartWidth the height.
TagsNo tags attached.
Fixed in Revision43722, 43723
LazTarget-
Widgetset
Attached Files

Activities

Michael Fuchs

2013-12-18 12:46

reporter  

tagraph.pas.patch (622 bytes)   
Index: components/tachart/tagraph.pas
===================================================================
--- components/tachart/tagraph.pas	(revision 43563)
+++ components/tachart/tagraph.pas	(working copy)
@@ -953,13 +953,13 @@
 
 function TChart.GetChartHeight: Integer;
 begin
-  Result := FClipRect.Right - FClipRect.Left;
+  Result := FClipRect.Bottom - FClipRect.Top;
 end;
 
 function TChart.GetChartWidth: Integer;
 begin
-  Result := FClipRect.Bottom - FClipRect.Top;
-end;
+  Result := FClipRect.Right - FClipRect.Left;
+end; 
 
 procedure TChart.GetChildren(AProc: TGetChildProc; ARoot: TComponent);
 var
tagraph.pas.patch (622 bytes)   

Michael Fuchs

2013-12-18 12:46

reporter   ~0071953

I added a patch for this.

Michael Fuchs

2013-12-18 12:48

reporter   ~0071954

See also discussion inf german lazarus forum:
http://www.lazarusforum.de/viewtopic.php?f=10&t=7414

Maxim Ganetsky

2014-01-14 23:15

developer   ~0072450

Applied and merged to fixes_1_2, thanks.

Issue History

Date Modified Username Field Change
2013-12-18 12:44 Michael Fuchs New Issue
2013-12-18 12:44 Michael Fuchs Status new => assigned
2013-12-18 12:44 Michael Fuchs Assigned To => Alexander S. Klenin
2013-12-18 12:46 Michael Fuchs File Added: tagraph.pas.patch
2013-12-18 12:46 Michael Fuchs Note Added: 0071953
2013-12-18 12:48 Michael Fuchs Note Added: 0071954
2014-01-14 21:11 Maxim Ganetsky Assigned To Alexander S. Klenin => Maxim Ganetsky
2014-01-14 23:15 Maxim Ganetsky Fixed in Revision => 43722, 43723
2014-01-14 23:15 Maxim Ganetsky LazTarget => -
2014-01-14 23:15 Maxim Ganetsky Note Added: 0072450
2014-01-14 23:15 Maxim Ganetsky Status assigned => resolved
2014-01-14 23:15 Maxim Ganetsky Fixed in Version => 1.2.0
2014-01-14 23:15 Maxim Ganetsky Resolution open => fixed
2015-03-11 11:57 wp Status resolved => closed